<?php
/**
 * Partial: Footer contrast layout
 */
?>

	
	<footer class="main-footer contrast">

		<?php if (Bunyad::options()->footer_upper): ?>	
		
		<section class="upper-footer ts-contain">
			<div class="wrap">
				<?php if (is_active_sidebar('cheerup-footer')): ?>
				
				<ul class="widgets ts-row cf">
					<?php dynamic_sidebar('cheerup-footer'); ?>
				</ul>
				
				<?php endif; ?>
			</div>
		</section>
		
		<?php endif; ?>
		
		
		<?php if (is_active_sidebar('cheerup-instagram')): ?>
		
		<section class="mid-footer cf">
			<?php dynamic_sidebar('cheerup-instagram'); ?>
		</section>
		
		<?php endif; ?>
		

		<?php if (Bunyad::options()->footer_lower): ?>
		
		<section class="lower-footer cf">
			<div class="wrap">
			
			<?php 
			if (Bunyad::options()->footer_logo): 
				/**
				 * Get escaped attributes and add optionally add srcset for retina
				 */
				$logo_attrs = [
					'src'    => Bunyad::options()->footer_logo,
					'class'  => 'logo',
					'alt'    => get_bloginfo('name', 'display'),
					'srcset' => [
						Bunyad::options()->footer_logo => '', 
						Bunyad::options()->footer_logo_2x => '2x'
					],
					'loading' => 'lazy',
				];

				// Get cached attributes such as width and height.
				$logo_attrs += Bunyad::theme()->get_logo_data(Bunyad::options()->footer_logo);
						
			?>
				<div class="footer-logo">
					<img <?php Bunyad::markup()->attribs('footer-logo', $logo_attrs); ?> />
				</div>
					
			<?php endif;?>
			
				<div class="bottom cf">
					<p class="copyright"><?php Bunyad::theme()->the_copyright(); ?></p>
					
					<ul class="social-icons">
					
					<?php 
						
						/**
						 * Show Social icons
						 */
						$services = Bunyad::get('social')->get_services();
						$links    = Bunyad::options()->social_profiles;
						
						foreach ( (array) Bunyad::options()->footer_social as $icon):
							$social = $services[$icon];
							$url    = !empty($links[$icon]) ? $links[$icon] : '#';
						?>
							<li>
								<a href="<?php echo esc_url($url); ?>" class="social-link" target="_blank"><i class="tsi tsi-<?php echo esc_attr($social['icon']); ?>"></i>
									<span class="label"><?php echo esc_html($social['label']); ?></span></a>
							</li>
						
					<?php
						endforeach;
					?>
						
						
					</ul>
				</div>
			</div>
		</section>
		
		<?php endif; ?>
		
	</footer>